/*
 *  The Lion Game - Text based adventure based on the adventures of Flinny the Lion
    Copyright (C) 2014 Adam Belcher

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 * 
 */

package game.entities.animals.enemies;

public class Hyena extends Enemy {

	public Hyena(int h, int fv, int s, int xv, int at, int ag, int c) {
		
		health = h;
		foodValue = fv;
		speed = s;
		xpValue = xv;
		attack = at;
		agility = ag;
		courage = c;
		
		maxHealth = 100;
		awareness = 35;
		name = "Hyena";
		willCharge = false;
		
	}

	

}
