/*
 *  The Lion Game - Text based adventure based on the adventures of Flinny the Lion
    Copyright (C) 2014 Adam Belcher

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 * 
 */

package game.entities.player.abilities;

import game.Start;

public class Claw extends Ability {

	public Claw() {
		name = "Claw";
		unlockMsg = "You have unlocked the claw attack. This is a double attack, each attack does low damage but has a high chance of hitting.";
		abilityID = 2;
	}
	
	public void use(){
		
	}
	
	public boolean checkPrereq(boolean silent){
		if(Start.player.attackSkill >= 4){
			return true;
		}else{
			if (!silent){
				System.out.println("Your attack skill must be at least 4 to unlock this ability.");
			}
			return false;
		}
	}

}
