package game.world;
import game.world.biomes.Biome;

import java.util.Random;

public class Environment {

	public static int time;
	private int lastTime;
	public static int timeID;
	public static Weather weather;
	public static Biome biome;
	public Random r;

	public Environment(){
		time = 480;
		timeID = 1;
		lastTime = time;

		weather = new Weather();
		
		r = new Random();
	}
	
	public void update() {
		time++;
		
		if (time >= 1440) time = 0;
		
		if (time == 0) System.out.println("It is now midnight.");
		if (time >= 420 && time < 450 && lastTime < 420){
			System.out.println("The sun has begun to rise.");
			timeID = 4;
		}
		if (time >= 450 && time < 720 && lastTime >= 420 && lastTime < 450){
			System.out.println("The sun has fully risen and it is now day.");
			timeID = 1;
		}
		if (time >= 450 && time < 1140 && lastTime < 420){
			System.out.println("The sun rises and it is now day.");
			timeID = 1;
		}
		if (time == 720) System.out.println("It is now midday.");
		if (time >= 1140 && time < 1170 && lastTime < 1140){
			System.out.println("The sun has begun to set.");
			timeID = 2;
		}
		if (time >= 1170 && lastTime >= 1140 && lastTime < 1170){
			System.out.println("The sun has fully set and it is now night.");
			timeID = 3;
		}
		if (time >= 1170 && lastTime < 1140){
			System.out.println("The sun sets and it is now night.");
			timeID = 3;
		}
	
		lastTime = time;
		
		int a = r.nextInt(100);
		
		if (a == 50 && Weather.weatherID == 1){
			Weather.weatherID = 2;
		}
		if (a == 60 && Weather.weatherID == 2){
			Weather.weatherID = 1;
		}
		
		weather.update();
		
		
	}
	
	public void getTime(){
		if (time < 420 || time >= 1170) System.out.println("It is night-time.");
		if (time >= 420 && time < 450) System.out.println("It is dawn.");
		if (time >= 450 && time < 1140) System.out.println("It is daytime.");
		if (time >= 1140 && time < 1170) System.out.println("It is dusk.");
	}
	
}
