/*
 *  The Lion Game - Text based adventure based on the adventures of Flinny the Lion
    Copyright (C) 2014 Adam Belcher

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 * 
 */

package game.events;

import game.Misc;
import game.entities.animals.enemies.Enemy;

public class BossEvent extends FightEvent {

	public BossEvent(String startMessage, Enemy animal, int distance) {
		super(startMessage, animal, distance);
		
	}

	protected void endEvent(){
		System.out.println("Congratulations, you have defeated the boss and beaten the Lion Game!!");
		System.out.println();
		Misc.credits();
	}
	
}
