/*
 *  The Lion Game - Text based adventure based on the adventures of Flinny the Lion
    Copyright (C) 2014 Adam Belcher

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.

 * 
 */

package game.events;

import game.Start;
import game.world.Environment;

public class ShelterEvent extends Event {

	
	public ShelterEvent(String sm){
		startMessage = sm;
		
		event = this;
		isInput = true;
		
		create();
	}
	
	public void sleep(){
		System.out.println("How many hours do you wish to sleep for?");
		int sleepHours = userinput.getNumInput();
		int sleepTime = sleepHours * 60;
		Environment.time += sleepTime;
		Start.player.energy += sleepHours * 5;
		Start.player.health += sleepHours * 5;
		System.out.println("You sleep for " + sleepHours + " hours.");
	}
	
	public void leave(){
		System.out.println("You walk out from under the tree, back on to the plains.");
		repeat = false;
	}
	
	void endUpdate() {
		
	}
}
